Package org.apache.sysds.runtime.io.hdf5.message

# Class H5FilterPipelineMessage

java.lang.Object
org.apache.sysds.runtime.io.hdf5.message.H5Message
org.apache.sysds.runtime.io.hdf5.message.H5FilterPipelineMessage

public class H5FilterPipelineMessage extends H5Message
Minimal parser for filter pipeline messages. We currently do not support any filters, and therefore fail fast if we encounter one so the user understands why the dataset cannot be read.

## Constructor Summary

Constructors
Constructor
Description
`H5FilterPipelineMessage(H5RootObject rootObject, BitSet flags, ByteBuffer bb)`

## Method Summary

Modifier and Type
Method
Description
`List<Integer>`
`getFilterIds()`

### Methods inherited from class org.apache.sysds.runtime.io.hdf5.message.H5Message

`readObjectHeaderMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### H5FilterPipelineMessage

public H5FilterPipelineMessage(H5RootObject rootObject, BitSet flags, ByteBuffer bb)

## Method Details

### getFilterIds

public List<Integer> getFilterIds()